# $Revision: 1.20 $, $Date: 2007/02/08 22:25:42 $
Summary:	Software for managing Zen Nomad playlist
Summary(pl):	Oprogramowanie do zarzdzania list plikw Zen Creative
Name:		gnomad2
Version:	2.8.11
Release:	1
License:	GPL v2
Group:		X11/Applications/Multimedia
Source0:	http://dl.sourceforge.net/gnomad2/%{name}-%{version}.tar.gz
# Source0-md5:	661af9f68f2aab19659265050a9ae40c
Source1:	%{name}.desktop
Source2:	%{name}.png
URL:		http://gnomad2.sourceforge.net/
BuildRequires:	glib2-devel >= 2.0
BuildRequires:	gtk+2-devel >= 2.0
BuildRequires:	libgnomeui-devel >= 2.0
BuildRequires:	libid3tag-devel >= 0.15.1b-4
BuildRequires:	libmtp-devel >= 0.1.3
BuildRequires:	libnjb-devel >= 2.2.4
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Gnomad 2 is a GUI built on top of GTK+/GNOME 2, libid3tag and libnjb
that makes it possible to transfer tracks and files from/to a Creative
Nomad Jukebox (all brands). It is designed much like an ordinary
graphical FTP program.

%description -l pl
Gnomad 2 jest graficznym interfejsem uytkownika zbudowanym w oparciu
o biblioteki GTK+/GNOME, libid3tag oraz libnjb. Umoliwia przesyanie
utworw z i do odtwarzacza Nomad Creative. Zosta zaprojektowany na
wzr zwykego graficznego klienta FTP.

%prep
%setup -q

%build
%configure
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -I/usr/include/libnjb"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pixmapsdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

mv -f $RPM_BUILD_ROOT%{_datadir}/locale/{no,nb}
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%{_desktopdir}/gnomad2.desktop
%{_pixmapsdir}/gnomad2.png
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomad2.spec,v $
Revision 1.20  2007/02/08 22:25:42  glen
- typo

Revision 1.19  2007/02/05 08:57:53  adasi
- up to 2.8.11

Revision 1.18  2007/02/05 08:09:19  glen
- patch for new libmtp; rel 2

Revision 1.17  2006/09/27 17:09:17  paszczus
- updated to 2.8.9
- BR: libid3tag-devel >= 0.15.1b-4
- BR: libmtp-devel >= 0.0.20
- now everything should be ok ; STBR

Revision 1.16  2006/09/05 19:56:44  glen
- rel 2

Revision 1.15  2006/08/29 12:57:01  paszczus
- updated to 2.8.8

Revision 1.14  2006/07/29 11:09:57  paszczus
- updated to 2.8.6

Revision 1.13  2006/06/18 16:24:54  paszczus
- updated to 2.8.5
- removed Patch0 (applied in sources)
- rel 1

Revision 1.12  2006/05/09 11:42:56  qboosh
- use find_lang

Revision 1.11  2006/05/06 16:53:42  paszczus
- dropped gnomad2-libnjb.patch; using CC and CFLAGS

Revision 1.10  2006/05/06 16:38:58  paszczus
- updated gnomad2-libnjb.patch ; release 2

Revision 1.9  2006/05/06 16:19:30  paszczus
- updated to 2.8.3
- added BR: libmtp
- added patch to compile gnomad2 with libmtp 0.0.4 instead of 0.0.2

Revision 1.8  2006/05/06 07:37:19  paszczus
- added BR: perl-XML-Parser
- added missing lang and man files
- release 1

Revision 1.7  2006/05/05 14:06:12  paszczus
- BR: libnjb-devel >= 2.2.4

Revision 1.6  2006/05/05 11:44:06  paszczus
- updated to 2.8.2 ; rel 0.1

Revision 1.5  2005/03/15 07:28:26  qboosh
- .desktop and desc fixes, versions in BR

Revision 1.4  2005/03/14 15:54:24  megabajt
- fixed license, source0
- added libnjb patch
- missing BR
- fixed install source1 and source2
- other cosmetics
- release 3

Revision 1.3  2005/03/14 11:21:59  mick3y
- added .desktop && icon
- release 2

Revision 1.2  2005/03/14 00:58:29  mick3y
- description added

Revision 1.1  2005/03/14 00:30:20  mick3y
- initial version
- draft version
